[maemo-commits] [maemo-commits] r19018 - in projects/haf/tags/ke-recv/3.19-4: debian src

From: subversion at stage.maemo.org subversion at stage.maemo.org
Date: Fri Jul 31 16:00:09 EEST 2009
Author: kihamala
Date: 2009-07-31 16:00:07 +0300 (Fri, 31 Jul 2009)
New Revision: 19018

Modified:
   projects/haf/tags/ke-recv/3.19-4/debian/changelog
   projects/haf/tags/ke-recv/3.19-4/debian/init.d
   projects/haf/tags/ke-recv/3.19-4/src/pcsuite-disable.sh
Log:
use g_file_storage as default instead of g_nokia


Modified: projects/haf/tags/ke-recv/3.19-4/debian/changelog
===================================================================
--- projects/haf/tags/ke-recv/3.19-4/debian/changelog	2009-07-31 12:35:22 UTC (rev 19017)
+++ projects/haf/tags/ke-recv/3.19-4/debian/changelog	2009-07-31 13:00:07 UTC (rev 19018)
@@ -1,3 +1,9 @@
+ke-recv (3.19-4) unstable; urgency=low
+
+  * Keep g_file_storage loaded by default instead of g_nokia.
+
+ -- Kimmo Hämäläinen <kimmo.hamalainen at nokia.com>  Fri, 31 Jul 2009 15:34:41 +0300
+
 ke-recv (3.19-3) unstable; urgency=low
 
   * Changes to support the new partition layout.

Modified: projects/haf/tags/ke-recv/3.19-4/debian/init.d
===================================================================
--- projects/haf/tags/ke-recv/3.19-4/debian/init.d	2009-07-31 12:35:22 UTC (rev 19017)
+++ projects/haf/tags/ke-recv/3.19-4/debian/init.d	2009-07-31 13:00:07 UTC (rev 19018)
@@ -60,8 +60,8 @@
 	# Start daemons
 	echo -n "Starting $DESC: "
 
-        # g_nokia is loaded as the default
-        modprobe g_nokia
+        # g_file_storage is loaded as the default
+        /sbin/modprobe g_file_storage stall=0 luns=2 removable
 
         # check if this is the first boot
         if [ -e /home/user/first-boot-flag ]; then

Modified: projects/haf/tags/ke-recv/3.19-4/src/pcsuite-disable.sh
===================================================================
--- projects/haf/tags/ke-recv/3.19-4/src/pcsuite-disable.sh	2009-07-31 12:35:22 UTC (rev 19017)
+++ projects/haf/tags/ke-recv/3.19-4/src/pcsuite-disable.sh	2009-07-31 13:00:07 UTC (rev 19018)
@@ -19,5 +19,43 @@
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 # 02110-1301 USA
 
-echo "$0: I ain't no doing nothing"
+/sbin/lsmod | grep g_nokia > /dev/null
+if [ $? = 0 ]; then
+    logger "$0: removing g_nokia"
+
+    initctl emit G_NOKIA_REMOVE
+
+    PNATD_PID=`pidof pnatd`
+    if [ $? = 0 ]; then
+        kill $PNATD_PID
+    else
+        logger "$0: pnatd is not running"
+    fi
+    OBEXD_PID=`pidof obexd`
+    if [ $? = 0 ]; then
+        kill -HUP $OBEXD_PID
+    else
+        logger "$0: obexd is not running"
+    fi
+    SYNCD_PID=`pidof syncd`
+    if [ $? = 0 ]; then
+        kill $SYNCD_PID
+    else
+        logger "$0: syncd is not running"
+    fi
+
+    sleep 2
+    /sbin/rmmod g_nokia
+    if [ $? != 0 ]; then
+        logger "$0: failed to rmmod g_nokia!"
+        exit 1
+    fi
+
+    /sbin/modprobe g_file_storage stall=0 luns=2 removable
+    if [ $? != 0 ]; then
+        logger "$0: failed to install g_file_storage"
+        exit 1
+    fi
+fi
+
 exit 0

More information about the maemo-commits mailing list